Skip to main content
GET
/
v1
/
jobs
/
runs
/
{run_id}
Get Run
curl --request GET \
  --url https://sdk.nimbleway.com/v1/jobs/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sdk.nimbleway.com/v1/jobs/runs/{run_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sdk.nimbleway.com/v1/jobs/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "job": {
    "id": "<string>",
    "name": "<string>",
    "display_name": "<string>",
    "agent_name": "<string>",
    "schedule": {
      "cron": "<string>",
      "enabled": true
    }
  },
  "created_at": "2023-11-07T05:31:56Z",
  "summary": {
    "input_count": 123,
    "result_count": 123,
    "match_rate": 123
  },
  "inputs_sample": [
    "<unknown>"
  ],
  "error": {
    "message": "<string>",
    "step": "<string>",
    "errors_sample": [
      {}
    ]
  },
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required

Cookies

token
string | null

Response

Successful Response

Full detail for a single run.

id
string
required

Unique run identifier (run_).

Pattern: ^run_[1-9][0-9]*$
status
enum<string>
required

Current run status.

Available options:
PENDING,
RUNNING,
SUCCESS,
FAILED,
CANCELLED,
TIMEOUT,
WARNING
triggered_by
enum<string>
required

What triggered the run: 'schedule' or 'manual'.

Available options:
schedule,
manual
job
JobContext · object
required

Context of the job this run belongs to.

created_at
string<date-time>
required

When the run was created.

summary
JobRunSummary · object | null

Aggregate metrics for the run.

inputs_sample
any[] | null

Sample of the run's input records.

error
JobRunError · object | null

Error details when the run failed.

started_at
string<date-time> | null

When the run started executing.

finished_at
string<date-time> | null

When the run finished.